com.ibm.openpages.api.resource

## Interface IResource

- All Known Subinterfaces:
    IDocument, IFolder, IGRCObject

      public interface IResource

  Represents the base for any resource in the OpenPages system.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCreationDate()` Returns the creation date of this resource.
    `IUser` | `getCreator()` Returns the creator (user) of this resource.
    `java.lang.String` | `getDescription()` Returns the description of this resource.
    `Id` | `getId()` Returns the Id of this resource.
    `IUser` | `getLastModifiedBy()` Returns the user who last modified this resource.
    `java.util.Date` | `getModifiedDate()` Returns the last modified date of this resource.
    `java.lang.String` | `getName()` Returns the name of this resource.
    `IFolder` | `getParentFolder()` Returns the parent folder for this resource, if it exists; otherwise null.
    `java.lang.String` | `getPath()` Returns the full path of this resource.
    `boolean` | `isFolder()` Determines whether the resource is a folder.
    `void` | `setDescription(java.lang.String description)` Sets the description of a resource.
    `void` | `setName(java.lang.String name)` Sets the name of a resource.
    `void` | `setParentFolder(IFolder parentFolder)` Sets the parent folder using the supplied folder.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this resource.
      Returns:
        the name of this resource

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of this resource.
      Returns:
        the description of this resource

    - #### getPath

          java.lang.String getPath()

      Returns the full path of this resource.
      Returns:
        the full path of this resource

    - #### getId

          Id getId()

      Returns the Id of this resource.
      Returns:
        the Id of this resource

    - #### isFolder

          boolean isFolder()

      Determines whether the resource is a folder.
      Returns:
        true if the resource is a folder, otherwise false

    - #### getParentFolder

          IFolder getParentFolder()

      Returns the parent folder for this resource, if it exists; otherwise null.
      Returns:
        the parent folder for this resource, if it exists; otherwise null

    - #### getCreator

          IUser getCreator()

      Returns the creator (user) of this resource.
      Returns:
        the creator of this resource or in the special case of the root repository folder, '/', return null

    - #### getCreationDate

          java.util.Date getCreationDate()

      Returns the creation date of this resource.
      Returns:
        the creation date of this resource

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date of this resource.
      Returns:
        the last modified date of this resource

    - #### getLastModifiedBy

          IUser getLastModifiedBy()

      Returns the user who last modified this resource.
      Returns:
        the user who last modified this resource or in the special case of the root repository folder, '/', return null

    - #### setParentFolder

          void setParentFolder(IFolder parentFolder)

      Sets the parent folder using the supplied folder. This will move the IResource to the new parent folder after `IResourceService.saveResource(IResource)` is invoked. The path of the Resource will be updated to the new path under the new parent folder. Any IResources contained by an IFolder will similarly be moved to the new path. Any associated children for IGRCObjects will not be moved. Associations will be unchanged.

      Restrictions: System created folders for self-contained objects cannot be moved. Moving a self-contained GRCObject itself will not move the system created folder.

      Parameters:
        `parentFolder` - the parent folder to move this resource to

    - #### setName

          void setName(java.lang.String name)

      Sets the name of a resource.
      Parameters:
        `name` - the name of a resource. The name cannot be null.

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of a resource.
      Parameters:
        `description` - the description of a resource

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.